.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

AutoCAD Partial Lock Up

0 REPLIES 0
Reply
Message 1 of 1
Anonymous
311 Views, 0 Replies

AutoCAD Partial Lock Up

Using AutoCAD 2008: I have created a simple VB.Net LispFunction that displays a dialog box to get information from the user and pass it back to AutoLISP. The dialog contains a button that prompts the user to select a dimension so that it can use the text value of the dimension. The button calls a function that uses Editor.GetEntity() to select a dimension. Everything appears to work OK in that the function closes the dialog, prompts the user to select a dimension and then redisplays the dialog with the text value. When the dialog closes, the information is passed backed to AutoLISP without problem. Currently I am just canceling the LISP routine after it gets the information from the VB.net dialog. Now, in the AutoCAD environment, if I press the F2 key to display the text screen it appears to be locked up/frozen in that it does not respond to any input. The "X" does not respond to closing it and it no longer accepts text input. Also, the the model/paper space tabs along the bottom can no longer be selected (pressing them does not switch spaces). If I call the LispFunction and don't press the button in the dialog box to select the dimension, it does not lockup the text screen. I suspect that I am not "releasing" something correctly in my VB.net code that selects a dimension or I am just doing something conceptually wrong. In an effort to isolate the problem I have commented out all of the lines except the lines below and it still locks up the text screen. If I comment out the "GetEntity" call it does not lock up the text screen, but obviously does not accomplish the objective. The only way to enable the text screen appears to be by closing and reopening the drawing. Anybody have any ideas what might be causing the lockup?

Private Sub SelectDimension(ByVal PickControl As Button, ByVal CmdPrompt As String)
Dim acDoc As Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument
Dim prEntOpt As PromptEntityOptions = New PromptEntityOptions(vbLf & "Select dimension: ")
Dim prEntRes As PromptEntityResult = acDoc.Editor.GetEntity(prEntOpt)
' bunch of commented out code
End Sub

Thanks for any suggestions, Mark
0 REPLIES 0

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost